//Ventana modo de uso
import 'package:flutter/material.dart';
//import 'package:flutter_bluetooth_serial/flutter_bluetooth_serial.dart';
import 'package:flutter_bluetooth_serial_example/Rutina.dart';
import 'package:flutter_bluetooth_serial_example/manual.dart';

class MododeUso   extends StatefulWidget {
  //const Bienvenida  ({Key? key}) : super(key: key);
  @override
  _MododeUsoState createState() => _MododeUsoState();
}

class _MododeUsoState extends State<MododeUso> {
@override
Widget build(BuildContext context) {
  return Scaffold(
    appBar: AppBar(
      title: Text('Modo de uso'),
    ),
    drawer: Drawer(
      child: ListView(
        padding: EdgeInsets.all(0),
        children: [
          UserAccountsDrawerHeader(
            decoration: BoxDecoration(
              color: Colors.cyan,
            ),
              accountName: Text('seba'),
              accountEmail: Text('sebaneira83@gmail.com'),
              //currentAccountPicture: Image.asset('assets/profile.png'),
              currentAccountPicture: Image.asset('assets/perfil1.jpg'),
          ),
          ListTile(
            title: Text('Inicio'),
            leading: Icon(Icons.home),
          ),
          ListTile(
            title: Text('Perfil'),
            leading: Icon(Icons.person),
          ),
          ListTile(
            title: Text('Conexion'),
            leading: Icon(Icons.bluetooth_connected),
          ),
          ListTile(
            title: Text('Rutinas'),
            leading: Icon(Icons.run_circle_sharp),
          ),
          ListTile(
            title: Text('Modo Manual'),
            leading: Icon(Icons.control_camera),
          ),
          ListTile(
            title: Text('Ayuda'),
            leading: Icon(Icons.help),
          ),
        ],
      )
    ),
    body: ListView(
        children: [
    Container(
    padding: EdgeInsets.symmetric(vertical: 20, horizontal: 10),
    alignment: Alignment.center,
      child: Image.asset('assets/logo.JPEG'),
  ),

          Container(
            padding: EdgeInsets.all(15),
            alignment: Alignment.center,
            child: Text(
              'Seleccione si utilizar el dispositvo REnergy \n en modo Manual  o utilizar las Rutinas \npre-diseñadas.',

              style: TextStyle(fontSize: 15),
            ),
          ),

          Container(
            padding: EdgeInsets.all(50),
            alignment: Alignment.center,
            child: ElevatedButton(
              //padding: EdgeInsets.symmetric(vertical: 10, horizontal: 30),
              //color: Colors.amber,
              child: Text(
                'Modo Manual',
                style: TextStyle(
                    fontSize: 25,
                    fontFamily: 'rbold'
                ),
              ),
              //conexion bluetooth al presionar el boton.
              onPressed: () {
                Navigator.of(context).push(MaterialPageRoute<Null>(
                    builder: (BuildContext context){
                      return new manual();
                    }
                ));

              },
            ),
          ),


          Container(
            padding: EdgeInsets.all(15),
            alignment: Alignment.center,
            child: ElevatedButton(
              //padding: EdgeInsets.symmetric(vertical: 10, horizontal: 30),
              //color: Colors.amber,
              child: Text(
                'Rutinas',
                style: TextStyle(
                    fontSize: 25,
                    fontFamily: 'rbold'
                ),
              ),
              //conexion bluetooth al presionar el boton.
              onPressed: () {
                Navigator.of(context).push(MaterialPageRoute<Null>(
                    builder: (BuildContext context){
                      return new rutina();
                    }
                ));
              },
            ),
          ),
        ],
  )
    );
}
}

