import 'package:flutter/material.dart';
import 'package:flutter_bluetooth_serial_example/Bienvenida2.dart';
import 'package:flutter_bluetooth_serial_example/conectar.dart';

class Bienvenida   extends StatefulWidget {
  //const Bienvenida  ({Key? key}) : super(key: key);
  @override
  _BienvenidaState createState() => _BienvenidaState();
}

class _BienvenidaState extends State<Bienvenida> {
@override
Widget build(BuildContext context) {
  return Scaffold(
    appBar: AppBar(
      title: Text('Bienvenida'),
    ),
    drawer: Drawer(
      child: ListView(
        padding: EdgeInsets.all(0),
        children: [
          UserAccountsDrawerHeader(
            decoration: BoxDecoration(
              color: Colors.cyan,
            ),
              accountName: Text('seba'),
              accountEmail: Text('sebaneira83@gmail.com'),
              //currentAccountPicture: Image.asset('assets/profile.png'),
              currentAccountPicture: Image.asset('assets/perfil1.jpg'),
          ),
          ListTile(
            title: Text('Inicio'),
            leading: Icon(Icons.home),
          ),
          ListTile(
            title: Text('Perfil'),
            leading: Icon(Icons.person),
          ),
          ListTile(
            title: Text('Conexion'),
            leading: Icon(Icons.bluetooth_connected),
          ),
          ListTile(
            title: Text('Rutinas'),
            leading: Icon(Icons.run_circle_sharp),
          ),
          ListTile(
            title: Text('Modo Manual'),
            leading: Icon(Icons.control_camera),
          ),
          ListTile(
            title: Text('Ayuda'),
            leading: Icon(Icons.help),
          ),
        ],
      )
    ),
    body: ListView(
        children: [
    Container(
    padding: EdgeInsets.symmetric(vertical: 20, horizontal: 10),
    alignment: Alignment.center,
    child: Image.asset('assets/logo.JPEG'),
  ),

          Container(
            padding: EdgeInsets.all(15),
            alignment: Alignment.center,
            child: Text(
                '¡Bienvenido a la App de REnergy! \n \n \nPara conectarte con tu dispositivo\n'
                    'Renergy activa el Bluetooth de tu telefono \n y luego pulsa el boton conectar ',
                style: TextStyle(fontSize: 20),
            ),
            ),


          Container(
            padding: EdgeInsets.all(15),
            alignment: Alignment.center,
            child: ElevatedButton(
              //padding: EdgeInsets.symmetric(vertical: 10, horizontal: 30),
              //color: Colors.amber,
              child: Text(
                'Conectar',
                style: TextStyle(
                    fontSize: 18,
                    fontFamily: 'rbold'
                ),
              ),
              //conexion bluetooth al presionar el boton.
              onPressed: () {


                int conexion = 1;
  if(conexion == 1){
  print('conexion: Dispositivo conectado');
  Navigator.of(context).push(MaterialPageRoute<Null>(
      builder: (BuildContext context){
        return new Conectar();
      }
  ));
  }


  else {
    print('conexion: Fallida, intente de nuevo');
  }
  },
            ),
          ),



          Container(
            padding: EdgeInsets.all(5),
            alignment: Alignment.center,
            child: ElevatedButton(
              //padding: EdgeInsets.symmetric(vertical: 10, horizontal: 30),
              //color: Colors.amber,
              child: Text(
                'Modos de uso',
                style: TextStyle(
                    fontSize: 18,
                    fontFamily: 'rbold'
                ),
              ),
              //boton para ingresar a modos de uso.
              onPressed: () {

                  print('Ingresando ventana modos de uso');
                  Navigator.of(context).push(MaterialPageRoute<Null>(
                      builder: (BuildContext context){
                        return new MododeUso();
                      }
                  ));




              },
            ),
          ),


        ],
  )
    );
}
}

