import 'package:flutter/material.dart';
import 'package:flutter_bluetooth_serial_example/Bienvenida.dart';
import 'package:dcdg/dcdg.dart';
import 'package:analyzer/dart/analysis/results.dart';
void main() {
  runApp(FirstRoute());
  }

class FirstRoute extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return  MaterialApp(
        title: 'Navigation Basics',
        theme: ThemeData(primarySwatch: Colors.lightBlue),
        home: Pantalla(),
    );
  }
}

class Pantalla extends StatefulWidget {
//  const Pantalla({Key? key}) : super(key: key);
  @override
  _PantallaState createState() => _PantallaState();
}

class _PantallaState extends State<Pantalla> {
  final usuario = TextEditingController();
  final password = TextEditingController();

  String usu = '';
  String pass = '';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('REnergy App 0.9v'),
      ),
      body: ListView(
        children: [
          //Container imagen Logo Renergy
          Container(
            padding: EdgeInsets.symmetric(vertical: 20, horizontal: 10),
            alignment: Alignment.center,
            child: Image.asset('assets/logo.JPEG'),
          ),

         //Campo a rellenar credencial usuario
         Container(
          padding: EdgeInsets.all(15),
          child: TextField(
            controller: usuario,
            decoration: InputDecoration(
              hintText: 'Usuario'
            ),
          ),
         ),

          //Campo a rellenar credencial contraseña
          Container(
            padding: EdgeInsets.all(15),
            child: TextField(
              controller: password,
              obscureText: true,
              decoration: InputDecoration(
                  hintText: 'Contraseña'
              ),
            ),
          ),

          //Boton Ingresar al login
          Container(
            padding: EdgeInsets.all(25),
            alignment: Alignment.center,
            child: ElevatedButton(
              //padding: EdgeInsets.symmetric(vertical: 10, horizontal: 30),
              //color: Colors.amber,
              child: Text(
                'Ingresar',
                style: TextStyle(
                  fontSize: 18,
                  fontFamily: 'rbold'
                ),
              ),

              //acción al presionar el boton.
              onPressed: () {
                usu = usuario.text;
                pass = password.text;
                //print para mostrar usuario y password
                print('user:'+usu+ ' pass:'+pass);
                if(usu == '' || pass== ''){
                  print('Debes de colocar un usuario y contraseña');
                }else if(usu== 'seba' && pass == '123'){

                  //En caso de ingresar credenciales correctas pasar a pantalla de Bienvenida.
                  Navigator.of(context).push(MaterialPageRoute<Null>(
                    builder: (BuildContext context){
                      return new Bienvenida();
                    }
                  ));
                  print('Ingreso Aceptado.');

                  //Caso contrario se genera mensaje de error y se debe volver a ingresar credenciales
                }else{
                  showDialog(
                      context: context,
                      barrierDismissible: false,
                      builder: (BuildContext context) {
                        return AlertDialog(
                          title: Text('Usuario o contraseña incorrecta'),
                          content: SingleChildScrollView(
                            child: ListBody(
                              children: [
                                Text('Verificar sus datos de ingreso.'),
                              ],
                            ),
                          ),
                          actions: [
                            ElevatedButton(
                                child: Text('Aceptar'),
                                onPressed:(){
                                  Navigator.of(context).pop();
                                },
                            ),
                          ]
                        );
                      }
                  );
                  print('Usuario o contraseña incorrecta');
                }
                //Se limpia String credenciales para volver a ingresar datos.
                usuario.text= '';
                password.text= '';
              },
            ),
          ),
        ],
      ),
    );
  }
}


